import { Initializer, InitializerOptions } from '../../viewer';
export declare class StorageInitializer extends Initializer {
    get storage(): import('./storage-service').StorageService<Partial<{
        [key: string]: any;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>> | undefined;
    prepare(options: InitializerOptions): {
        [x: string]: any;
        scroll?: import('../..').ScrollMode | undefined;
        spread?: import('../..').SpreadMode | undefined;
        rotation?: number | undefined;
        page?: number | undefined;
        scale?: number | string | undefined;
        scrollTop?: number | undefined;
        scrollLeft?: number | undefined;
    };
    finish(): void;
}
