import { InitializerOptions } from '../../viewer';
export declare class StorageService<TDatabase extends Record<string, any> = InitializerOptions> {
    private driver;
    private database;
    private key;
    constructor(fingerprint: string, prefix?: string, driver?: Storage);
    private write;
    setKey(fingerprint: string, prefix?: string): void;
    all(): TDatabase;
    get<K extends keyof TDatabase>(key: K, defaultValue?: TDatabase[K]): TDatabase[K] | undefined;
    set<K extends keyof TDatabase>(keyOrProperties: K | Partial<TDatabase>, value?: TDatabase[K]): void;
}
