import { IRenderableView as BaseIRenderableView, IDownloadManager } from 'pdfjs-dist/types/web/interfaces';
import { Metadata } from 'pdfjs-dist/types/src/display/metadata';
import { OptionalContentConfig } from 'pdfjs-dist/types/src/display/optional_content_config';
import { AnnotationLayerParameters } from 'pdfjs-dist/types/src/display/annotation_layer';
import { AnnotationEditorLayerOptions } from 'pdfjs-dist/types/src/display/editor/annotation_editor_layer';
import { StructTreeNode, StructTreeContent, DocumentInitParameters } from 'pdfjs-dist/types/src/display/api';
import { XfaLayerParameters } from 'pdfjs-dist/types/src/display/xfa_layer';
import { PrintAnnotationStorage } from 'pdfjs-dist/types/src/display/annotation_storage';
interface IRenderableView extends BaseIRenderableView {
    get isRenderingFinished(): boolean;
}
export type DocumentType = string | URL | ArrayBuffer | DocumentInitParameters;
export * from 'pdfjs-dist';
export type { IRenderableView, IDownloadManager, Metadata, OptionalContentConfig, AnnotationLayerParameters, AnnotationEditorLayerOptions, StructTreeNode, StructTreeContent, XfaLayerParameters, PrintAnnotationStorage, };
