import { IL10n } from '../../l10n';
export declare class LoadingService {
    readonly rootContainer: HTMLElement;
    readonly l10n: IL10n;
    protected container: HTMLDivElement;
    protected content: HTMLDivElement;
    constructor(rootContainer: HTMLElement, l10n: IL10n);
    init(): void;
    complete(): void;
    update(loaded: number, total: number): void;
    finish(): void;
    destroy(): void;
}
