import { Plugin } from '../plugin';
import { StatsTracker } from './stats-tracker';
export type StatsPluginParams = {
    interval?: number;
    visibilityPercentage?: number;
};
export declare class StatsPlugin extends Plugin<StatsPluginParams> {
    private _statsTracker?;
    get statsTracker(): StatsTracker | undefined;
    get storage(): import('../storage').StorageService<Partial<{
        [key: string]: any;
        scroll?: import('../..').ScrollMode;
        spread?: import('../..').SpreadMode;
        rotation?: number;
        page?: number;
        scale?: number | string;
        scrollTop?: number;
        scrollLeft?: number;
    }>> | undefined;
    get informationManager(): import('../information').InformationManager | undefined;
    protected init(): Promise<void>;
    protected destroy(): void;
}
